Users
Delete a user
DELETE
/api/users/{userId}Deletes the specified user account. The current user cannot delete their own account through this operation.
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Authentication credentials, e.g. Bearer <token>. |
Path parameters
| Name | Type | Description |
|---|---|---|
| userIdrequired | string | ID of the associated user. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| okrequired | any | Whether the operation succeeded. |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL